#!/bin/sh
set -u

wd=`pwd`
software=`basename $wd`

targets="sjis euc-jp iso-2022-jp cp932 eucJP-ms cp51932 iso-2022-jp-ms"
if [ $# -ne 0 ]; then 
    targets=$@;
fi

for codeset in $targets;
do
    case "$codeset" in
    eucJP-ms)
        php_codeset="eucJP-win"
        ;;
    *)
        php_codeset=$codeset
        ;;
    esac
    ../make_maptbl.sh $software $php_codeset
    ../compare.sh $software $codeset $php_codeset
done
